<head>
<title>Linux-Praxis Gästebuch</title>
<script language="JavaScript">
<!--

b1=new Image();
b1.src="images/gb_inhalt1.jpg";
b2=new Image();
b2.src="images/gb_inhalt2.jpg";

function change(nr,obj){
  window.document.images[nr].src=obj.src;
}



  function check()
  {
    if(window.document.forms[0].elements[0].value=="")
    {
      alert("Sie haben vergessen, einen\nNamen anzugeben!");
      document.forms[0].elements[0].focus();
      return false;
    }
    if(window.document.forms[0].elements[1].value=="")
    {
      alert("Ihre Eintrag ist leer!");
      document.forms[0].elements[3].focus();
      return false;
    }

    return true;
  }

//-->
</script>



</head>

<body bgcolor="#ffe4c4">

<center>
<a href=http://www.kalhammer.de>
<img src=images/hundkbanner4.gif border=0 alt="www.kalhammer.de"></a>
<p><hr width=60%><p>&nbsp;<p>&nbsp;
<img src=images/titel_gast.gif>
</center>
<p>&nbsp;<p>

<?

require 'Gastbuch/header.inc';

if(isset($ABSENDER)){
  mail("f.kalhammer@online.de","Neuer Gaestebucheintrag-lokal",$BODY,"From:$ABSENDER");

  if(add_entry($ABSENDER,$BODY)){  
    echo "<h2>Ihr Eintag wurde abgespeichert</h2>\n";
    echo "Herzlichen Dank für Ihr Interesse.\n"; 
  } else {
    echo "<h2>Sorry, es ist ein Fehler aufgetreten</h2>\n";
    echo "Ich danke für den Versuch und werde den Fehler schnellstmöglich\n";
    echo "beheben. Eine Mail an mich wurde gerade automatisch losgeschickt,\n";
    echo "die mir den Fehler meldet. Nochmal sorry!\n";
    mail("f.kalhammer@online.de","Gaestebuch Malfunction","Malfunction","From:Webserver Linux-Praxis.de");
  }
  unset($ABSENDER);
  echo "<font size=-1><p>&nbsp;<p>&nbsp;<p>&nbsp;<p>\n";
  echo "<center><p><hr width=70%><p>";
  echo "[ <a href=index.html>Zurück zur Startseite</a> ]\n";
  echo "[ <a href=guest.php3>Nochmal Guestbook</a> ]\n";
  echo "[ <a href=inhalt.php3>Inhalt des Gästebuchs</a> ]\n";
  echo "<p><hr width=70%><p><font color=blue>\n";
  echo "Diese und die darunterliegenden Seiten wurden erstellt von <a\n";
  echo "href=mailto:f.kalhammer@online.de>F. Kalhammer</a><p>&copy; 2001 by\n";
  echo "F.Kalhammer - all rights reserved.\n";
  echo "</font></font>\n";
  echo "<p><hr width=70%><p>\n";
  echo "<a href=http://www.lpi.org>\n";
  echo "<img src=images/lpibanner.gif border=0 alt=www.lpi.org></a>\n";
  echo "</center>\n</body>";
  exit;
}
?>
Mit dem untenstehenden Formular kann ein Eintrag im Gästebuch vorgenommen
werden. Außerdem ist es möglich, die bisherigen Einträge des Gästebuchs zu
lesen. Dieses Gästebuch hier ist ein Versuch, sowas mit PHP3 zu
programmieren, es ist im Augenblick noch etwas beta, ich arbeite daran...
<p><hr><p>

<center>
<!--<div style="background-color:#cacaca;border-style:none;"-->
<form method=post action=guest.php3 onSubmit="return check()">
<table border=0 bgcolor=#000000 cellspacing=5>
<tr><td>
<table bgcolor=#cacaca cellspacing=0>
<tr><th>
<table bgcolor=#cacaca width=80% cellspacing=0>
<tr>
<td><b>Ihr Name:</b></td>
<td><input type=text size=40 maxlength=100 name=ABSENDER></td>
</tr>
<tr>
<td colspan=2>
<textarea rows=7 cols=70 name=BODY></textarea>
</td>
</tr>
<tr>
<th><input type=submit value="  Eintrag abschicken  "></th>
<th align=right><input type=reset value=" Formular zurücksetzen "></th> 
</tr>
</table>
</th></tr></table>
</td></tr></table>
</form>
<!--</div>-->

<p><hr width=70%><p>
<a href=inhalt.php3 onMouseOver="change(2,b2)" onMouseOut="change(2,b1)">
<img src=images/gb_inhalt1.jpg border=0></a><br>
<p>
</center>
<center>
<font size=-1>
<p>&nbsp;<p>&nbsp;<p><hr width=70%><p>
[ <a href=index.php3>Zurück zur Startseite</a> ]
[ <a href=kontakt.php3>Kontakt</a> ]
<p><hr width=70%><p><font color=blue>
Diese und die darunterliegenden Seiten wurden erstellt von <a
href=mailto:f.kalhammer@online.de>F. Kalhammer</a><p>&copy; 2001 by
F.Kalhammer - all rights reserved.
</font></font>
<p><hr width=70%><p>
<a href=http://www.lpi.org>
<img src=images/lpibanner.gif border=0 alt="www.lpi.org"></a>
</center>

</body>


